=== debian/changelog ===
yarock (1.1.3-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Revert to Qt4 build.
  * Add MPV engine support.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 19 Aug 2015 14:52:43 -0700

yarock (1.1.3-1~webupd8~trusty2) trusty; urgency=medium

  * New upstream release
  * Build-depend on libhtmlcxx-dev
  * Build with Qt5
  * Added phonon.patch

 -- Alin Andrei <webupd8@gmail.com>  Wed, 19 Aug 2015 12:34:41 +0300

yarock (0.9.67~trusty~ppa1) trusty; urgency=low

  * New source, 0.9.67

 -- Rog131 <samrog131@hotmail.com>  Tue, 06 May 2014 10:36:35 +0300

yarock (0.9.66~trusty~ppa1) trusty; urgency=low

  * New source, 0.9.66
    - drop patches
    - bump Standards-Version: 3.9.5

 -- Rog131 <samrog131@hotmail.com>  Sat, 12 Apr 2014 16:01:04 +0300

yarock (0.9.65~trusty~ppa1) trusty; urgency=low

  * Trusty release

 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Dec 2013 21:46:34 +0200

yarock (0.9.65~saucy~ppa1) saucy; urgency=low

  * New source, 0.9.65
    - drop patches
    - patch the language path: yarock/src/main.cpp

 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Dec 2013 21:45:11 +0200

yarock (0.9.64~saucy~ppa1) saucy; urgency=low

  * New source, 0.9.64
    - update patches

 -- Rog131 <samrog131@hotmail.com>  Fri, 08 Nov 2013 17:29:04 +0200

yarock (0.9.63~saucy~ppa3) saucy; urgency=low

  * No change rebuild
    - bump to libechonest2.1


 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Sep 2013 22:11:20 +0300

yarock (0.9.63~saucy~ppa2) saucy; urgency=low

  * Try#2
    - a patch to move the translations to the /usr/share/yarock/locale/

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 16:47:32 +0300

yarock (0.9.63~saucy~ppa1) saucy; urgency=low

  * Saucy release

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:25:48 +0300

yarock (0.9.63~raring~ppa1) raring; urgency=low

  * Raring release
    + bump Standards-Version: 3.9.4

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:23:13 +0300

yarock (0.9.63~quantal~ppa1) quantal; urgency=low

  * Quantal release

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:20:15 +0300

yarock (0.9.63~precise~ppa1) precise; urgency=low

  * Precise release
    + new source, 0.9.63
    + bump Standards-Version: 3.9.3
    + add Build-Depends: cmake, libqjson-dev, libechonest-dev, libqt4-sql-sqlite, pkg-config, libx11-dev
    + add a patch to move the installation from the /usr/local/

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 10:02:31 +0300

yarock (0.0.55~oneiric~ppa1) oneiric; urgency=low

  * Oneiric release
    + new source, 0.0.55
    + Switch to dpkg-source 3.0 (quilt) format
    + bump compat 8
    + bump Standards-Version: 3.9.2

 -- Rog131 <samrog131@hotmail.com>  Sun, 25 Mar 2012 20:09:49 +0300

yarock (0.0.35~maverick~ppa1) maverick; urgency=low

  * New source, 0.0.35

 -- Rog131 <samrog131@hotmail.com>  Sat, 13 Nov 2010 21:53:42 +0200

yarock (0.0.28~maverick~ppa1) maverick; urgency=low

  * Maverick release
    + bump debhelper (>= 8.0), Standards-Version: 3.9.1
    - remove pkg-kde-tools from the build depends

 -- Rog131 <samrog131@hotmail.com>  Sun, 31 Oct 2010 21:09:23 +0200

yarock (0.0.28~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.28
    - removed patches, quilt

 -- Rog131 <samrog131@hotmail.com>  Sat, 30 Oct 2010 13:48:34 +0300

yarock (0.0.20~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.20
    - removed yarock.desktop
    + added a patch to fix yarock.desktop (+Icon=yarock.png)
    + added quilt to build depends
    + added debian/docs

 -- Rog131 <samrog131@hotmail.com>  Wed, 22 Sep 2010 08:50:41 +0300

yarock (0.0.19~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.19

 -- Rog131 <samrog131@hotmail.com>  Sun, 19 Sep 2010 21:25:50 +0300

yarock (0.0.18~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.18
    + new debian/rules
    + added debian/yarock.install

 -- Rog131 <samrog131@hotmail.com>  Thu, 02 Sep 2010 16:02:16 +0300

yarock (0.0.17~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.17

 -- Rog131 <samrog131@hotmail.com>  Tue, 31 Aug 2010 11:46:09 +0300

yarock (0.0.15~lucid~ppa1) lucid; urgency=low

  * Initial release
    + added yarock.desktop

 -- Rog131 <samrog131@hotmail.com>  Mon, 30 Aug 2010 17:50:11 +0300
